package com.zy.bms.controller.ubi;


import com.zy.bms.common.ServerResponse;
import com.zy.bms.pojo.io.DeviceIO;
import com.zy.bms.service.IDeviceBaseService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 设备静态信息 前端控制器
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@RestController
@RequestMapping("/builder/device")
public class UbiDeviceController {
    @Resource
    private IDeviceBaseService deviceStaticService;

    /**
     * 分页查询设备列表
     */
    @PostMapping("listPage.do")
    public ServerResponse listPage(DeviceIO io) {
        return ServerResponse.createBySuccess(deviceStaticService.listPage(io));
    }

    /**
     * 查询设备详情信息
     */
    @PostMapping("getDetail.do")
    public ServerResponse getDetail(String openNum) {
        return ServerResponse.createBySuccess(deviceStaticService.getDetail(openNum));
    }
}
