package com.zy.bms.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.entity.DeviceBase;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zy.bms.pojo.io.DeviceIO;
import com.zy.bms.pojo.vo.DeviceDetailVo;
import com.zy.bms.pojo.vo.DeviceListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 设备静态信息 Mapper 接口
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@Mapper
@Repository
public interface DeviceBaseMapper extends BaseMapper<DeviceBase> {

    /**
     * 分页查询设备列表
     *
     * @param page 分页信息
     * @param io   查询参数
     */
    IPage<DeviceListVo> listPage(Page<DeviceListVo> page, @Param("io") DeviceIO io);

    /**
     * 获取设备详情信息
     *
     * @param openNum 设备公开码
     */
    DeviceDetailVo getDetail(@Param("openNum") String openNum);
}
