package com.zy.bms.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zy.bms.entity.DeviceBase;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zy.bms.pojo.io.DeviceIO;
import com.zy.bms.pojo.vo.DeviceDetailVo;
import com.zy.bms.pojo.vo.DeviceListVo;

/**
 * <p>
 * 设备静态信息 服务类
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
public interface IDeviceBaseService extends IService<DeviceBase> {


    /**
     * 分页查询设备列表
     *
     * @param io 查询参数
     */
    IPage<DeviceListVo> listPage(DeviceIO io);

    /**
     * 获取设备详情信息
     *
     * @param openNum 设备公开码
     */
    DeviceDetailVo getDetail(String openNum);
}
