package com.zy.bms.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.entity.DeviceBase;
import com.zy.bms.mapper.DeviceBaseMapper;
import com.zy.bms.pojo.io.DeviceIO;
import com.zy.bms.pojo.vo.DeviceDetailVo;
import com.zy.bms.pojo.vo.DeviceListVo;
import com.zy.bms.service.IDeviceBaseService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zy.bms.service.ubi.IUbiNtripService;
import com.zy.bms.service.ubi.IUbiTcpService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 * 设备静态信息 服务实现类
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@Service
public class DeviceBaseServiceImpl extends ServiceImpl<DeviceBaseMapper, DeviceBase> implements IDeviceBaseService {

    @Resource
    private IUbiTcpService tcpSetService;
    @Resource
    private IUbiNtripService ntripSetService;

    @Override
    public IPage<DeviceListVo> listPage(DeviceIO io) {
        Page<DeviceListVo> page = new Page<>(io.getCurrent(), io.getSize());
        return baseMapper.listPage(page, io);
    }

    @Override
    public DeviceDetailVo getDetail(String openNum) {
        DeviceDetailVo result = baseMapper.getDetail(openNum);
        result.setUbiTcpList(tcpSetService.listByOpenNum(openNum));
        result.setUbiNtripList(ntripSetService.listByOpenNum(openNum));
        return result;
    }
}
